Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.spi
Interface AuditCredentialMappingEvent

All Superinterfaces:
  AuditContext, AuditEvent

public interface AuditCredentialMappingEvent
extends AuditEvent, AuditContext

The `AuditCredentialMappingEvent` interface is used to post credential mapping audit events. The WebLogic Security Framework implements this interface and may post audit events for the following security events:

- Credentials for a WLS User are requested
- Credentials for a Subject are requested

A Credential Mapping provider may also implement this interface and post additional types of credential mapping audit events.

An Auditing provider can use this interface to get additional information about the credential mapping audit event. The `AuditSeverity` attribute can be used to determine which of the above audit events has been posted.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`Object[]` | `getCredentials()` Gets the object array of credentials returned by the getCredential operation associated with this `AuditCredentialMappingEvent`.
`String[]` | `getCredentialTypes()` Gets the string array of credential types requested in the getCredential operation associated with this `AuditCredentialMappingEvent`.
`String` | `getInitiatorString()` Gets the initiator of the getCredential operation associated with this `AuditCredentialMappingEvent`.
`Subject` | `getInitiatorSubject()` Gets the subject of the initiator of the getCredential operation associated with this `AuditCredentialMappingEvent`.
`Subject` | `getRequestorSubject()` Gets the requestor subject of the getCredential operation associated with this `AuditCredentialMappingEvent`.
`Resource` | `getResource()` Gets the resource of the getCredential operation associated with this `AuditCredentialMappingEvent`.

Methods inherited from interface weblogic.security.spi.AuditEvent
`getEventType, getFailureException, getSeverity, toString`

Methods inherited from interface weblogic.security.spi.AuditContext
`getContext`

Method Detail

### getCredentials

    public Object[] getCredentials()

  Gets the object array of credentials returned by the getCredential operation associated with this `AuditCredentialMappingEvent`.

  Returns:
    the array of credential objects.

### getCredentialTypes

    public String[] getCredentialTypes()

  Gets the string array of credential types requested in the getCredential operation associated with this `AuditCredentialMappingEvent`.

  Returns:
    the array of credential types requested.

### getInitiatorString

    public String getInitiatorString()

  Gets the initiator of the getCredential operation associated with this `AuditCredentialMappingEvent`. If the container used the getCredential method with the Subject initiator parameter, then null is returned.

  Returns:
    the user name of the initiator of the getCredential operation.

### getInitiatorSubject

    public Subject getInitiatorSubject()

  Gets the subject of the initiator of the getCredential operation associated with this `AuditCredentialMappingEvent`. If the container used the getCredential method with the string initiator parameter, then null is returned

  Returns:
    the initiator `Subject` of the getCredential operation.

### getRequestorSubject

    public Subject getRequestorSubject()

  Gets the requestor subject of the getCredential operation associated with this `AuditCredentialMappingEvent`.

  Returns:
    the requestor `Subject`.

### getResource

    public Resource getResource()

  Gets the resource of the getCredential operation associated with this `AuditCredentialMappingEvent`.

  Returns:
    the `Resource` object for which credentials associated with this `AuditCredentialMappingEvent` were requested.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD